#include<bits/stdc++.h>
using namespace std;
int N,K,p[100009],sol;
int main(){
  cin>>N>>K;
  for(int i=1; i<=N; i++)cin>>p[i];
  if(p[N]==K)sol=p[1];
  for(int i=1; i<N; i++)
    if(p[i]==K)sol=p[i+1];
  cout<<sol<<endl;
  return 0;
}